export declare type JDomCreateProps = string | Element | NodeListOf<Element> | JDom;
export declare type JDomCreate = (element: JDomCreateProps) => JDom;
export declare function $(element: JDomCreateProps): JDom;
declare class JDom {
    element: Array<any>;
    static fn: JDom;
    constructor(element: any);
    get<E extends HTMLElement>(index?: number): E;
    getAll<E extends HTMLElement>(): Array<E>;
    find(element: string): JDom;
    addClass(...classes: string[]): this;
    removeClass(...classes: string[]): this;
    attr(attrs: string | {
        [key: string]: any;
    } | Array<string>, value?: string): any;
    hasAttr(attrs: string): any;
    on(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): this;
    off(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): this;
    closest(selector: string): JDom;
    each(callbackfn: <E extends HTMLElement>(value: E, index: number, array: E[]) => void): this;
    toggleAttribute(attr: string): this;
    append<E extends Element>(element: E): this;
    remove(): this;
    set text(text: string);
    get text(): string;
    set html(html: string);
    get html(): string;
    set value(val: string);
    get value(): string;
    get dataset(): any;
    get scrollHeight(): number;
    get style(): CSSStyleDeclaration;
    get classList(): DOMTokenList;
}
export { JDom };
//# sourceMappingURL=JDom.d.ts.map