/*!
 * Jcore-ui v1.1
 * Native javascript ui components
 * https://github.com/concore-dev/jcore-ui
 *
 * Copyright 2021 Eryomin Nickolay
 * Published under MIT License
 *
 */

import Accordion from './lib/components/Accordion';
import Collapse from './lib/components/Collapse';
import Dropdown from './lib/components/Dropdown';
import Modal from './lib/components/Modal';
import Progress from './lib/components/Progress';
import Select from './lib/components/Select';
import Tab from './lib/components/Tab';
import Tooltip from './lib/components/Tooltip';
import Component from './lib/core/Component';
import createElement from './lib/utils/createElement';
import dataHref from './lib/utils/dataHref';
import dataScroll from './lib/utils/dataScroll';
import event from './lib/utils/event';
import EventEmitter from './lib/utils/EventEmitter';
import waitFor from './lib/utils/waitFor';
import { JDom, $ } from './lib/core/JDom';
import form from './lib/utils/form';
import mask from './lib/utils/mask';
import numberFormat from './lib/utils/numberFormat';
import cookie from './lib/utils/cookie';
import declension from './lib/utils/declension';
import digit from './lib/utils/digit';
import isMobile from './lib/utils/isMobile';
import isTouchDevice from './lib/utils/isTouchDevice';

export = {
    Accordion,
    Collapse,
    Dropdown,
    Modal,
    Progress,
    Select,
    Tab,
    Tooltip,
    Component,
    createElement,
    event,
    EventEmitter,
    dataScroll,
    dataHref,
    waitFor,
    $,
    JDom,
    form,
    mask,
    numberFormat,
    cookie,
    declension,
    digit,
    isMobile,
    isTouchDevice,
}